Bug 1298936 - redhat-lsb-desktop requires qt3 and LSB 5.0 was released June 3, 2015.
Summary: redhat-lsb-desktop requires qt3 and LSB 5.0 was released June 3, 2015.
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1594543
TreeView+ depends on / blocked
 
Reported: 2016-01-15 12:50 UTC by Sergio Monteiro Basto
Modified: 2018-12-20 06:00 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mageia 19684 None None None Never

Description Sergio Monteiro Basto 2016-01-15 12:50:25 UTC
Description of problem:
I want remove qt3 [1] , but removes redhat-lsb-desktop which removes google-chrome-beta 
digging 
http://refspecs.linux-foundation.org/lsb.shtml

and looks like only qt4 is required 


Additional info:

This is not urgent , but just for the JFTR

dnf repoquery --whatrequires qt3 | grep -v ^qt3-

PyQt-0:3.18.1-31.fc23.x86_64
sim-0:0.9.5-0.42.20091129svn3078rev.fc23.i686
sim-0:0.9.5-0.42.20091129svn3078rev.fc23.x86_64

dnf repoquery --whatrequires PyQt | grep -v ^PyQt-

albumart-0:1.6.6-3.fc23.noarch
kodos-0:2.4.9-17.fc23.noarch
kphotobymail-0:0.4.1-16.fc23.noarch
pipviewer-0:0.3.9-17.fc23.noarch


kodos crash at start-up ... 

[1] 
dnf remove qt3

Comment 1 Ondrej Vasik 2016-01-15 17:56:14 UTC
Thanks for report, you are right, I should find some time and adjust redhat-lsb to 5.0 specifications. You are right qt3 is no longer required by 5.0 specification.

Comment 2 Neal Gompa 2016-10-30 10:39:20 UTC
Any update on this? It'd be nice if redhat-lsb was LSB 5.0 compliant.

Comment 3 Igor Gnatenko 2017-11-08 00:17:41 UTC
Alrighty, I"m working on this.

Comment 4 Sergio Monteiro Basto 2017-11-14 12:31:20 UTC
(In reply to Igor Gnatenko from comment #3)
> Alrighty, I"m working on this.

Please can you report what is happening with packages in rawhide  ? 


rpm -q google-chrome-beta --requires  | grep lsb
/usr/bin/lsb_release

Comment 5 Igor Gnatenko 2017-11-14 12:34:36 UTC
(In reply to Sergio Monteiro Basto from comment #4)
> (In reply to Igor Gnatenko from comment #3)
> > Alrighty, I"m working on this.
> 
> Please can you report what is happening with packages in rawhide  ? 
Nothing.
> 
> 
> rpm -q google-chrome-beta --requires  | grep lsb
> /usr/bin/lsb_release
So what? If you found some bug, please open new bugreport instead of fiddling some random notes which have nothing to do with "Update of LSB to 5.0".

Comment 6 Sergio Monteiro Basto 2017-11-14 14:36:33 UTC
> Please can you report what is happening with packages in rawhide  ? 
Nothing.

Sorry I'm just asking if rawhide have any update ? yesterday I got some issues it it in rawhide testing machine .

Comment 7 Sergio Monteiro Basto 2017-11-14 14:59:39 UTC
https://src.fedoraproject.org/cgit/rpms/redhat-lsb.git

yeah I remember now egrep was not provided 

Thanks , sorry for my bad English

Comment 8 Sergio Monteiro Basto 2017-11-15 10:07:45 UTC
Igor Gnatenko, what I want mean is: here was a good place to write what change in redhat-lsb package, like I/we do for example in opencv [1] but is not important , sorry . 
And keep you good work , thanks 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1484397

Comment 9 Sergio Monteiro Basto 2017-11-15 10:34:05 UTC
And keep *your* good work , thanks

Comment 10 Sergio Monteiro Basto 2018-07-31 21:44:23 UTC
still happens in rawhide !


Note You need to log in before you can comment on or make changes to this bug.